OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Safe Haskell | None

Graphics.Rendering.OpenGL.GL.QueryUtils.PName

Description

Synopsis

- class GetPName p where
  - marshalGetPName :: p -> Maybe GLenum
- class GetPName p => GetPName1I p where
  - getBoolean1 :: (GLboolean -> a) -> p -> IO a
  - getInteger1 :: (GLint -> a) -> p -> IO a
  - getEnum1 :: (GLenum -> a) -> p -> IO a
  - getSizei1 :: (GLsizei -> a) -> p -> IO a
- class GetPName p => GetPName1F p where
  - getFloat1 :: (GLfloat -> a) -> p -> IO a
  - getClampf1 :: (GLclampf -> a) -> p -> IO a
  - getDouble1 :: (GLdouble -> a) -> p -> IO a
  - getClampd1 :: (GLclampd -> a) -> p -> IO a
- class GetPName p => GetIPName1I p where
  - getBoolean1i :: (GLboolean -> a) -> p -> GLuint -> IO a
  - getInteger1i :: (GLint -> a) -> p -> GLuint -> IO a
  - getEnum1i :: (GLenum -> a) -> p -> GLuint -> IO a
  - getSizei1i :: (GLsizei -> a) -> p -> GLuint -> IO a
- class GetPName p => GetPName2I p where
  - getBoolean2 :: (GLboolean -> GLboolean -> a) -> p -> IO a
  - getInteger2 :: (GLint -> GLint -> a) -> p -> IO a
  - getEnum2 :: (GLenum -> GLenum -> a) -> p -> IO a
  - getSizei2 :: (GLsizei -> GLsizei -> a) -> p -> IO a
- class GetPName p => GetPName2F p where
  - getFloat2 :: (GLfloat -> GLfloat -> a) -> p -> IO a
  - getClampf2 :: (GLclampf -> GLclampf -> a) -> p -> IO a
  - getDouble2 :: (GLdouble -> GLdouble -> a) -> p -> IO a
  - getClampd2 :: (GLclampd -> GLclampd -> a) -> p -> IO a
- class GetPName p => GetPName3I p where
  - getBoolean3 :: (GLboolean -> GLboolean -> GLboolean -> a) -> p -> IO a
  - getInteger3 :: (GLint -> GLint -> GLint -> a) -> p -> IO a
  - getEnum3 :: (GLenum -> GLenum -> GLenum -> a) -> p -> IO a
  - getSizei3 :: (GLsizei -> GLsizei -> GLsizei -> a) -> p -> IO a
- class GetPName p => GetPName3F p where
  - getFloat3 :: (GLfloat -> GLfloat -> GLfloat -> a) -> p -> IO a
  - getClampf3 :: (GLclampf -> GLclampf -> GLclampf -> a) -> p -> IO a
  - getDouble3 :: (GLdouble -> GLdouble -> GLdouble -> a) -> p -> IO a
  - getClampd3 :: (GLclampd -> GLclampd -> GLclampd -> a) -> p -> IO a
- class GetPName p => GetPName4I p where
  - getBoolean4 :: (GLboolean -> GLboolean -> GLboolean -> GLboolean -> a) -> p -> IO a
  - getInteger4 :: (GLint -> GLint -> GLint -> GLint -> a) -> p -> IO a
  - getEnum4 :: (GLenum -> GLenum -> GLenum -> GLenum -> a) -> p -> IO a
  - getSizei4 :: (GLsizei -> GLsizei -> GLsizei -> GLsizei -> a) -> p -> IO a
- class GetPName p => GetPName4F p where
  - getFloat4 :: (GLfloat -> GLfloat -> GLfloat -> GLfloat -> a) -> p -> IO a
  - getClampf4 :: (GLclampf -> GLclampf -> GLclampf -> GLclampf -> a) -> p -> IO a
  - getDouble4 :: (GLdouble -> GLdouble -> GLdouble -> GLdouble -> a) -> p -> IO a
  - getClampd4 :: (GLclampd -> GLclampd -> GLclampd -> GLclampd -> a) -> p -> IO a
- class GetPName p => GetIPName4I p where
  - getBoolean4i :: (GLboolean -> GLboolean -> GLboolean -> GLboolean -> a) -> p -> GLuint -> IO a
  - getInteger4i :: (GLint -> GLint -> GLint -> GLint -> a) -> p -> GLuint -> IO a
  - getEnum4i :: (GLenum -> GLenum -> GLenum -> GLenum -> a) -> p -> GLuint -> IO a
  - getSizei4i :: (GLsizei -> GLsizei -> GLsizei -> GLsizei -> a) -> p -> GLuint -> IO a
- class GetPName p => GetPNameNI p where
  - getIntegerN :: (GLint -> a) -> p -> Int -> IO [a]
- data PName1I
  - = GetEdgeFlag
  - | GetRGBAMode
  - | GetCurrentIndex
  - | GetMaxTextureUnits
  - | GetListIndex
  - | GetListMode
  - | GetMaxListNesting
  - | GetListBase
  - | GetRenderMode
  - | GetDrawFramebufferBinding
  - | GetReadFramebufferBinding
  - | GetFramebufferBinding
  - | GetRenderbufferBinding
  - | GetPerspectiveCorrectionHint
  - | GetPointSmoothHint
  - | GetLineSmoothHint
  - | GetPolygonSmoothHint
  - | GetFogHint
  - | GetGenerateMipmapHint
  - | GetTextureCompressionHint
  - | GetPackCMYKHint
  - | GetUnpackCMYKHint
  - | GetVertexArrayBinding
  - | GetMaxNameStackDepth
  - | GetNameStackDepth
  - | GetContextProfileMask
  - | GetPackSwapBytes
  - | GetUnpackSwapBytes
  - | GetPackLSBFirst
  - | GetUnpackLSBFirst
  - | GetPackRowLength
  - | GetUnpackRowLength
  - | GetPackSkipRows
  - | GetUnpackSkipRows
  - | GetPackSkipPixels
  - | GetUnpackSkipPixels
  - | GetPackAlignment
  - | GetUnpackAlignment
  - | GetPackImageHeight
  - | GetUnpackImageHeight
  - | GetPackSkipImages
  - | GetUnpackSkipImages
  - | GetPixelMapIToISize
  - | GetPixelMapSToSSize
  - | GetPixelMapIToRSize
  - | GetPixelMapIToGSize
  - | GetPixelMapIToBSize
  - | GetPixelMapIToASize
  - | GetPixelMapRToRSize
  - | GetPixelMapGToGSize
  - | GetPixelMapBToBSize
  - | GetPixelMapAToASize
  - | GetMaxPixelMapTable
  - | GetMaxVertexTextureImageUnits
  - | GetMaxTextureImageUnits
  - | GetMaxCombinedTextureImageUnits
  - | GetMaxTextureCoords
  - | GetMaxVertexUniformComponents
  - | GetMaxFragmentUniformComponents
  - | GetMaxVertexAttribs
  - | GetMaxVaryingFloats
  - | GetMatrixMode
  - | GetModelviewStackDepth
  - | GetProjectionStackDepth
  - | GetTextureStackDepth
  - | GetColorMatrixStackDepth
  - | GetMaxModelviewStackDepth
  - | GetMaxProjectionStackDepth
  - | GetMaxTextureStackDepth
  - | GetMaxColorMatrixStackDepth
  - | GetMaxMatrixPaletteStackDepth
  - | GetCurrentMatrixStackDepth
  - | GetActiveTexture
  - | GetVertexArraySize
  - | GetVertexArrayType
  - | GetVertexArrayStride
  - | GetNormalArrayType
  - | GetNormalArrayStride
  - | GetColorArraySize
  - | GetColorArrayType
  - | GetColorArrayStride
  - | GetIndexArrayType
  - | GetIndexArrayStride
  - | GetTextureCoordArraySize
  - | GetTextureCoordArrayType
  - | GetTextureCoordArrayStride
  - | GetEdgeFlagArrayStride
  - | GetFogCoordArrayType
  - | GetFogCoordArrayStride
  - | GetSecondaryColorArraySize
  - | GetSecondaryColorArrayType
  - | GetSecondaryColorArrayStride
  - | GetArrayElementLockCount
  - | GetArrayElementLockFirst
  - | GetClientActiveTexture
  - | GetMaxElementsVertices
  - | GetMaxElementsIndices
  - | GetPrimitiveRestartIndex
  - | GetPrimitiveRestartNV
  - | GetPrimitiveRestartIndexNV
  - | GetArrayBufferBinding
  - | GetElementArrayBufferBinding
  - | GetCopyReadBuffer
  - | GetCopyWriteBuffer
  - | GetPixelPackBufferBinding
  - | GetPixelUnpackBufferBinding
  - | GetTransformFeedbackBufferBinding
  - | GetVertexArrayBufferBinding
  - | GetNormalArrayBufferBinding
  - | GetColorArrayBufferBinding
  - | GetIndexArrayBufferBinding
  - | GetTextureCoordArrayBufferBinding
  - | GetEdgeFlagArrayBufferBinding
  - | GetSecondaryColorArrayBufferBinding
  - | GetFogCoordArrayBufferBinding
  - | GetMaxClipPlanes
  - | GetMaxLights
  - | GetFrontFace
  - | GetLightModelLocalViewer
  - | GetLightModelTwoSide
  - | GetLightModelColorControl
  - | GetColorMaterialFace
  - | GetColorMaterialParameter
  - | GetShadeModel
  - | GetFragmentColorClamp
  - | GetVertexColorClamp
  - | GetReadColorClamp
  - | GetMaxEvalOrder
  - | GetMap1GridSegments
  - | GetFogMode
  - | GetFogIndex
  - | GetFogCoordSrc
  - | GetFogDistanceMode
  - | GetAuxBuffers
  - | GetDoublebuffer
  - | GetStereo
  - | GetRedBits
  - | GetGreenBits
  - | GetBlueBits
  - | GetAlphaBits
  - | GetStencilBits
  - | GetDepthBits
  - | GetAccumRedBits
  - | GetAccumGreenBits
  - | GetAccumBlueBits
  - | GetAccumAlphaBits
  - | GetDrawBuffer
  - | GetDrawBufferN GLsizei
  - | GetMaxDrawBuffers
  - | GetIndexWritemask
  - | GetDepthWritemask
  - | GetStencilWritemask
  - | GetStencilClearValue
  - | GetCurrentProgram
  - | GetMaxTransformFeedbackSeparateAttribs
  - | GetMaxTransformFeedbackInterleavedComponents
  - | GetMaxTransformFeedbackSeparateComponents
  - | GetCurrentRasterIndex
  - | GetCurrentRasterPositionValid
  - | GetLineStippleRepeat
  - | GetLineStipplePattern
  - | GetSampleCoverageInvert
  - | GetAlphaTestFunc
  - | GetStencilFunc
  - | GetStencilValueMask
  - | GetStencilRef
  - | GetStencilFail
  - | GetStencilPassDepthFail
  - | GetStencilPassDepthPass
  - | GetActiveStencilFace
  - | GetLogicOpMode
  - | GetBlendDst
  - | GetBlendSrc
  - | GetBlendSrcRGB
  - | GetBlendSrcAlpha
  - | GetBlendDstRGB
  - | GetBlendDstAlpha
  - | GetBlendEquation
  - | GetBlendEquationAlpha
  - | GetDepthFunc
  - | GetMapColor
  - | GetMapStencil
  - | GetIndexShift
  - | GetIndexOffset
  - | GetCullFaceMode
  - | GetNumCompressedTextureFormats
  - | GetMaxTextureSize
  - | GetMax3DTextureSize
  - | GetMaxCubeMapTextureSize
  - | GetMaxRectangleTextureSize
  - | GetReadBuffer
  - | GetTextureBinding1D
  - | GetTextureBinding2D
  - | GetTextureBinding3D
  - | GetTextureBindingCubeMap
  - | GetTextureBindingRectangle
  - | GetSubpixelBits
  - | GetSamples
  - | GetSampleBuffers
- data PName1F
  - = GetCurrentFogCoord
  - | GetZoomX
  - | GetZoomY
  - | GetMaxShininess
  - | GetMaxSpotExponent
  - | GetFogStart
  - | GetFogEnd
  - | GetFogDensity
  - | GetDepthClearValue
  - | GetIndexClearValue
  - | GetCurrentRasterDistance
  - | GetPointSizeMin
  - | GetPointSizeMax
  - | GetPointFadeThresholdSize
  - | GetSmoothPointSizeGranularity
  - | GetPointSize
  - | GetLineWidth
  - | GetSmoothLineWidthGranularity
  - | GetSampleCoverageValue
  - | GetAlphaTestRef
  - | GetRedScale
  - | GetGreenScale
  - | GetBlueScale
  - | GetAlphaScale
  - | GetPostConvolutionRedScale
  - | GetPostConvolutionGreenScale
  - | GetPostConvolutionBlueScale
  - | GetPostConvolutionAlphaScale
  - | GetPostColorMatrixRedScale
  - | GetPostColorMatrixGreenScale
  - | GetPostColorMatrixBlueScale
  - | GetPostColorMatrixAlphaScale
  - | GetRedBias
  - | GetGreenBias
  - | GetBlueBias
  - | GetAlphaBias
  - | GetPostConvolutionRedBias
  - | GetPostConvolutionGreenBias
  - | GetPostConvolutionBlueBias
  - | GetPostConvolutionAlphaBias
  - | GetPostColorMatrixRedBias
  - | GetPostColorMatrixGreenBias
  - | GetPostColorMatrixBlueBias
  - | GetPostColorMatrixAlphaBias
  - | GetDepthScale
  - | GetDepthBias
  - | GetPolygonOffsetFactor
  - | GetPolygonOffsetUnits
  - | GetMaxTextureMaxAnisotropy
  - | GetMaxTextureLODBias
- data IPName1I
  - = GetTransformFeedbackBuffer
  - | GetTransformFeedbackBufferStart
  - | GetTransformFeedbackBufferSize
- data PName2I
  - = GetMaxViewportDims
  - | GetMap2GridSegments
  - | GetPolygonMode
- data PName2F
  - = GetDepthRange
  - | GetMap1GridDomain
  - | GetAliasedPointSizeRange
  - | GetSmoothPointSizeRange
  - | GetAliasedLineWidthRange
  - | GetSmoothLineWidthRange
  - | GetDepthBounds
- data PName3F
  - = GetCurrentNormal
  - | GetPointDistanceAttenuation
- data PName4I
  - = GetViewport
  - | GetRGBASignedComponents
  - | GetScissorBox
- data PName4F
  - = GetCurrentColor
  - | GetCurrentTextureCoords
  - | GetCurrentSecondaryColor
  - | GetClipPlane GLsizei
  - | GetLightModelAmbient
  - | GetMap2GridDomain
  - | GetFogColor
  - | GetColorClearValue
  - | GetAccumClearValue
  - | GetCurrentRasterColor
  - | GetCurrentRasterSecondaryColor
  - | GetCurrentRasterTextureCoords
  - | GetCurrentRasterPosition
  - | GetBlendColor
- data PName4ISemiIndexed = GetColorWritemask
- data PNameNI = GetCompressedTextureFormats
- class GetPName p => GetPNameMatrix p where
  - getMatrixf :: p -> Ptr GLfloat -> IO ()
  - getMatrixd :: p -> Ptr GLdouble -> IO ()
- data PNameMatrix
  - = GetModelviewMatrix
  - | GetProjectionMatrix
  - | GetTextureMatrix
  - | GetColorMatrix
  - | GetMatrixPalette
- clipPlaneIndexToEnum :: GLsizei -> Maybe GLenum

# Documentation

class GetPName p where

Methods

marshalGetPName :: p -> Maybe GLenum

Instances

GetPName PNameMatrix |
GetPName PNameNI |
GetPName PName4F |
GetPName PName4ISemiIndexed |
GetPName PName4I |
GetPName PName3F |
GetPName PName2F |
GetPName PName2I |
GetPName IPName1I |
GetPName PName1F |
GetPName PName1I |

class GetPName p => GetPName1I p where

Methods

getBoolean1 :: (GLboolean -> a) -> p -> IO a

getInteger1 :: (GLint -> a) -> p -> IO a

getEnum1 :: (GLenum -> a) -> p -> IO a

getSizei1 :: (GLsizei -> a) -> p -> IO a

Instances

GetPName1I PName1I |

class GetPName p => GetPName1F p where

Methods

getFloat1 :: (GLfloat -> a) -> p -> IO a

getClampf1 :: (GLclampf -> a) -> p -> IO a

getDouble1 :: (GLdouble -> a) -> p -> IO a

getClampd1 :: (GLclampd -> a) -> p -> IO a

Instances

GetPName1F PName1F |

class GetPName p => GetIPName1I p where

Methods

getBoolean1i :: (GLboolean -> a) -> p -> GLuint -> IO a

getInteger1i :: (GLint -> a) -> p -> GLuint -> IO a

getEnum1i :: (GLenum -> a) -> p -> GLuint -> IO a

getSizei1i :: (GLsizei -> a) -> p -> GLuint -> IO a

Instances

GetIPName1I IPName1I |

class GetPName p => GetPName2I p where

Methods

getBoolean2 :: (GLboolean -> GLboolean -> a) -> p -> IO a

getInteger2 :: (GLint -> GLint -> a) -> p -> IO a

getEnum2 :: (GLenum -> GLenum -> a) -> p -> IO a

getSizei2 :: (GLsizei -> GLsizei -> a) -> p -> IO a

Instances

GetPName2I PName2I |

class GetPName p => GetPName2F p where

Methods

getFloat2 :: (GLfloat -> GLfloat -> a) -> p -> IO a

getClampf2 :: (GLclampf -> GLclampf -> a) -> p -> IO a

getDouble2 :: (GLdouble -> GLdouble -> a) -> p -> IO a

getClampd2 :: (GLclampd -> GLclampd -> a) -> p -> IO a

Instances

GetPName2F PName2F |

class GetPName p => GetPName3I p where

Methods

getBoolean3 :: (GLboolean -> GLboolean -> GLboolean -> a) -> p -> IO a

getInteger3 :: (GLint -> GLint -> GLint -> a) -> p -> IO a

getEnum3 :: (GLenum -> GLenum -> GLenum -> a) -> p -> IO a

getSizei3 :: (GLsizei -> GLsizei -> GLsizei -> a) -> p -> IO a

class GetPName p => GetPName3F p where

Methods

getFloat3 :: (GLfloat -> GLfloat -> GLfloat -> a) -> p -> IO a

getClampf3 :: (GLclampf -> GLclampf -> GLclampf -> a) -> p -> IO a

getDouble3 :: (GLdouble -> GLdouble -> GLdouble -> a) -> p -> IO a

getClampd3 :: (GLclampd -> GLclampd -> GLclampd -> a) -> p -> IO a

Instances

GetPName3F PName3F |

class GetPName p => GetPName4I p where

Methods

getBoolean4 :: (GLboolean -> GLboolean -> GLboolean -> GLboolean -> a) -> p -> IO a

getInteger4 :: (GLint -> GLint -> GLint -> GLint -> a) -> p -> IO a

getEnum4 :: (GLenum -> GLenum -> GLenum -> GLenum -> a) -> p -> IO a

getSizei4 :: (GLsizei -> GLsizei -> GLsizei -> GLsizei -> a) -> p -> IO a

Instances

GetPName4I PName4ISemiIndexed |
GetPName4I PName4I |

class GetPName p => GetPName4F p where

Methods

getFloat4 :: (GLfloat -> GLfloat -> GLfloat -> GLfloat -> a) -> p -> IO a

getClampf4 :: (GLclampf -> GLclampf -> GLclampf -> GLclampf -> a) -> p -> IO a

getDouble4 :: (GLdouble -> GLdouble -> GLdouble -> GLdouble -> a) -> p -> IO a

getClampd4 :: (GLclampd -> GLclampd -> GLclampd -> GLclampd -> a) -> p -> IO a

Instances

GetPName4F PName4F |

class GetPName p => GetIPName4I p where

Methods

getBoolean4i :: (GLboolean -> GLboolean -> GLboolean -> GLboolean -> a) -> p -> GLuint -> IO a

getInteger4i :: (GLint -> GLint -> GLint -> GLint -> a) -> p -> GLuint -> IO a

getEnum4i :: (GLenum -> GLenum -> GLenum -> GLenum -> a) -> p -> GLuint -> IO a

getSizei4i :: (GLsizei -> GLsizei -> GLsizei -> GLsizei -> a) -> p -> GLuint -> IO a

Instances

GetIPName4I PName4ISemiIndexed |

class GetPName p => GetPNameNI p where

Methods

getIntegerN :: (GLint -> a) -> p -> Int -> IO [a]

Instances

GetPNameNI PNameNI |

data PName1I

Constructors

GetEdgeFlag | bool
GetRGBAMode | enum
GetCurrentIndex | int
GetMaxTextureUnits | enum displaylist
GetListIndex | enum
GetListMode | enum
GetMaxListNesting | sizei
GetListBase | enum rendermode
GetRenderMode | enum framebufferbinding
GetDrawFramebufferBinding | int
GetReadFramebufferBinding | int
GetFramebufferBinding | int renderbufferbinding
GetRenderbufferBinding | int hint
GetPerspectiveCorrectionHint | enum
GetPointSmoothHint | enum
GetLineSmoothHint | enum
GetPolygonSmoothHint | enum
GetFogHint | enum
GetGenerateMipmapHint | enum
GetTextureCompressionHint | enum
GetPackCMYKHint | enum
GetUnpackCMYKHint | enum vertexarray
GetVertexArrayBinding | int Selction?
GetMaxNameStackDepth | int
GetNameStackDepth | int ContextProfile
GetContextProfileMask | enum pixelStorage
GetPackSwapBytes | bool
GetUnpackSwapBytes | bool
GetPackLSBFirst | bool
GetUnpackLSBFirst | bool
GetPackRowLength | int
GetUnpackRowLength | int
GetPackSkipRows | int
GetUnpackSkipRows | int
GetPackSkipPixels | int
GetUnpackSkipPixels | int
GetPackAlignment | int
GetUnpackAlignment | int
GetPackImageHeight | int
GetUnpackImageHeight | int
GetPackSkipImages | int
GetUnpackSkipImages | int pixel map
GetPixelMapIToISize | int
GetPixelMapSToSSize | int
GetPixelMapIToRSize | int
GetPixelMapIToGSize | int
GetPixelMapIToBSize | int
GetPixelMapIToASize | int
GetPixelMapRToRSize | int
GetPixelMapGToGSize | int
GetPixelMapBToBSize | int
GetPixelMapAToASize | int
GetMaxPixelMapTable | sizei shader limits
GetMaxVertexTextureImageUnits | sizei
GetMaxTextureImageUnits | sizei
GetMaxCombinedTextureImageUnits | sizei
GetMaxTextureCoords | sizei
GetMaxVertexUniformComponents | sizei
GetMaxFragmentUniformComponents | sizei
GetMaxVertexAttribs | sizei
GetMaxVaryingFloats | sizei coordtrans
GetMatrixMode | enum
GetModelviewStackDepth | sizei
GetProjectionStackDepth | sizei
GetTextureStackDepth | sizei
GetColorMatrixStackDepth | sizei
GetMaxModelviewStackDepth | sizei
GetMaxProjectionStackDepth | sizei
GetMaxTextureStackDepth | sizei
GetMaxColorMatrixStackDepth | sizei
GetMaxMatrixPaletteStackDepth | sizei
GetCurrentMatrixStackDepth | sizei
GetActiveTexture | enum VertexArrays
GetVertexArraySize | int
GetVertexArrayType | enum
GetVertexArrayStride | int
GetNormalArrayType | enum
GetNormalArrayStride | int
GetColorArraySize | int
GetColorArrayType | enum
GetColorArrayStride | int
GetIndexArrayType | enum
GetIndexArrayStride | int
GetTextureCoordArraySize | int
GetTextureCoordArrayType | enum
GetTextureCoordArrayStride | int
GetEdgeFlagArrayStride | int
GetFogCoordArrayType | enum
GetFogCoordArrayStride | int
GetSecondaryColorArraySize | int
GetSecondaryColorArrayType | enum
GetSecondaryColorArrayStride | int
GetArrayElementLockCount | int
GetArrayElementLockFirst | int
GetClientActiveTexture | enum
GetMaxElementsVertices | sizei
GetMaxElementsIndices | sizei
GetPrimitiveRestartIndex | int
GetPrimitiveRestartNV | bool
GetPrimitiveRestartIndexNV | int bufferObjects
GetArrayBufferBinding | int
GetElementArrayBufferBinding | int
GetCopyReadBuffer | int
GetCopyWriteBuffer | int
GetPixelPackBufferBinding | int
GetPixelUnpackBufferBinding | int
GetTransformFeedbackBufferBinding | int
GetVertexArrayBufferBinding | int
GetNormalArrayBufferBinding | int
GetColorArrayBufferBinding | int
GetIndexArrayBufferBinding | int
GetTextureCoordArrayBufferBinding | int
GetEdgeFlagArrayBufferBinding | int
GetSecondaryColorArrayBufferBinding | int
GetFogCoordArrayBufferBinding | int clipping
GetMaxClipPlanes | sizei Colors
GetMaxLights | sizei
GetFrontFace | enum
GetLightModelLocalViewer | bool
GetLightModelTwoSide | bool
GetLightModelColorControl | enum
GetColorMaterialFace | enum
GetColorMaterialParameter | enum
GetShadeModel | enum
GetFragmentColorClamp | enum
GetVertexColorClamp | enum
GetReadColorClamp | enum Evaluators
GetMaxEvalOrder | int
GetMap1GridSegments | int Fog
GetFogMode | int => enum
GetFogIndex | int
GetFogCoordSrc | int
GetFogDistanceMode | int => enum Framebuffer
GetAuxBuffers | sizei
GetDoublebuffer | bool
GetStereo | bool
GetRedBits | sizei
GetGreenBits | sizei
GetBlueBits | sizei
GetAlphaBits | sizei
GetStencilBits | sizei
GetDepthBits | sizei
GetAccumRedBits | sizei
GetAccumGreenBits | sizei
GetAccumBlueBits | sizei
GetAccumAlphaBits | sizei
GetDrawBuffer | enum
GetDrawBufferN GLsizei |
GetMaxDrawBuffers | sizei
GetIndexWritemask | int
GetDepthWritemask | bool
GetStencilWritemask | bool
GetStencilClearValue | int Program
GetCurrentProgram | int Transformfeedback
GetMaxTransformFeedbackSeparateAttribs | int
GetMaxTransformFeedbackInterleavedComponents | int
GetMaxTransformFeedbackSeparateComponents | int
GetCurrentRasterIndex | int
GetCurrentRasterPositionValid | bool LineSegment
GetLineStippleRepeat | int
GetLineStipplePattern | int PerFragment
GetSampleCoverageInvert | bool
GetAlphaTestFunc | enum
GetStencilFunc | enum
GetStencilValueMask | int
GetStencilRef | int
GetStencilFail | enum
GetStencilPassDepthFail | enum
GetStencilPassDepthPass | enum
GetActiveStencilFace | enum
GetLogicOpMode | enum
GetBlendDst | enum
GetBlendSrc | enum
GetBlendSrcRGB | enum
GetBlendSrcAlpha | enum
GetBlendDstRGB | enum
GetBlendDstAlpha | enum
GetBlendEquation | enum
GetBlendEquationAlpha | enum
GetDepthFunc | enum
GetMapColor | bool
GetMapStencil | bool
GetIndexShift | int
GetIndexOffset | int Polygons -- ^ enum
GetCullFaceMode |
GetNumCompressedTextureFormats | int
GetMaxTextureSize | int
GetMax3DTextureSize | int
GetMaxCubeMapTextureSize | int
GetMaxRectangleTextureSize | int ReadCopyPixels
GetReadBuffer | enum Texture Objects
GetTextureBinding1D | int/enum
GetTextureBinding2D | int/enum
GetTextureBinding3D | int/enum
GetTextureBindingCubeMap | int/enum
GetTextureBindingRectangle | int/enum Antialiasing
GetSubpixelBits | sizei
GetSamples | sizei
GetSampleBuffers | sizei

Instances

GetPName1I PName1I |
GetPName PName1I |

data PName1F

Constructors

GetCurrentFogCoord | Float1 Rasterization
GetZoomX | Float
GetZoomY | Float Colors
GetMaxShininess | Float
GetMaxSpotExponent | Float Fog
GetFogStart | float
GetFogEnd | float
GetFogDensity | float Framebuffer
GetDepthClearValue | clampf
GetIndexClearValue | float RasterPos
GetCurrentRasterDistance | float Point
GetPointSizeMin | float
GetPointSizeMax | float
GetPointFadeThresholdSize | float
GetSmoothPointSizeGranularity | float
GetPointSize | float LineSegment
GetLineWidth | float
GetSmoothLineWidthGranularity | float PerFragment
GetSampleCoverageValue | clampf
GetAlphaTestRef | clampf PixelTransfer
GetRedScale | float
GetGreenScale | float
GetBlueScale | float
GetAlphaScale | float
GetPostConvolutionRedScale | float
GetPostConvolutionGreenScale | float
GetPostConvolutionBlueScale | float
GetPostConvolutionAlphaScale | float
GetPostColorMatrixRedScale | float
GetPostColorMatrixGreenScale | float
GetPostColorMatrixBlueScale | float
GetPostColorMatrixAlphaScale | float
GetRedBias | float
GetGreenBias | float
GetBlueBias | float
GetAlphaBias | float
GetPostConvolutionRedBias | float
GetPostConvolutionGreenBias | float
GetPostConvolutionBlueBias | float
GetPostConvolutionAlphaBias | float
GetPostColorMatrixRedBias | float
GetPostColorMatrixGreenBias | float
GetPostColorMatrixBlueBias | float
GetPostColorMatrixAlphaBias | float
GetDepthScale | float
GetDepthBias | float Polygons
GetPolygonOffsetFactor | float
GetPolygonOffsetUnits | float Texture parameters
GetMaxTextureMaxAnisotropy | float
GetMaxTextureLODBias | float

Instances

GetPName1F PName1F |
GetPName PName1F |

data IPName1I

Constructors

GetTransformFeedbackBuffer |
GetTransformFeedbackBufferStart |
GetTransformFeedbackBufferSize |

Instances

GetIPName1I IPName1I |
GetPName IPName1I |

data PName2I

Constructors

GetMaxViewportDims | sizei Evaluators
GetMap2GridSegments |
GetPolygonMode |

Instances

GetPName2I PName2I |
GetPName PName2I |

data PName2F

Constructors

GetDepthRange | clamp Evaluators
GetMap1GridDomain | float2? Point
GetAliasedPointSizeRange | float
GetSmoothPointSizeRange | float LineSegments
GetAliasedLineWidthRange | float
GetSmoothLineWidthRange | float PerFragment
GetDepthBounds | clampd

Instances

GetPName2F PName2F |
GetPName PName2F |

data PName3F

Constructors

GetCurrentNormal | Float3 Point
GetPointDistanceAttenuation | float

Instances

GetPName3F PName3F |
GetPName PName3F |

data PName4I

Constructors

GetViewport | int Framebuffer
GetRGBASignedComponents | int PerFragment
GetScissorBox | int

Instances

GetPName4I PName4I |
GetPName PName4I |

data PName4F

Constructors

GetCurrentColor | ?
GetCurrentTextureCoords | Float
GetCurrentSecondaryColor | Float clipping
GetClipPlane GLsizei | double Colors
GetLightModelAmbient | float Evaluators
GetMap2GridDomain | float? Fog
GetFogColor | clampf Framebuffer
GetColorClearValue | clampf
GetAccumClearValue | float RasterPos
GetCurrentRasterColor | float
GetCurrentRasterSecondaryColor | float
GetCurrentRasterTextureCoords | float
GetCurrentRasterPosition | float
GetBlendColor | clampf

Instances

GetPName4F PName4F |
GetPName PName4F |

data PName4ISemiIndexed

Both indexed and unindexed

Constructors

GetColorWritemask | bool

Instances

GetIPName4I PName4ISemiIndexed |
GetPName4I PName4ISemiIndexed |
GetPName PName4ISemiIndexed |

data PNameNI

Constructors

GetCompressedTextureFormats |

Instances

GetPNameNI PNameNI |
GetPName PNameNI |

class GetPName p => GetPNameMatrix p where

Methods

getMatrixf :: p -> Ptr GLfloat -> IO ()

getMatrixd :: p -> Ptr GLdouble -> IO ()

Instances

GetPNameMatrix PNameMatrix |

data PNameMatrix

Constructors

GetModelviewMatrix |
GetProjectionMatrix |
GetTextureMatrix |
GetColorMatrix |
GetMatrixPalette |

Instances

GetPNameMatrix PNameMatrix |
GetPName PNameMatrix |

clipPlaneIndexToEnum :: GLsizei -> Maybe GLenum